//
//  Gob1MenuViewController.h
//  scummvm
//
//  Created by DotEmu on 17/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "saveViewController.h"
#import "settingsViewController.h"
#import "helpViewController.h"
#import "creditsViewController.h"
#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import "BulkyServices.h"

@interface Gob1MenuViewController : UIViewController <BulkyServicesDelegate, NSXMLParserDelegate>
{
	creditsViewController* _creditsVC;
	helpViewController* _helpVC;
	settingsViewController* _settingsVC;
	saveViewController* _loadVC;
	
	//BOUTONS
	IBOutlet UIButton* _new;
	IBOutlet UIButton* _load;
	IBOutlet UIButton* _settings;
	IBOutlet UIButton* _help;
	IBOutlet UIButton* _credits;	
	
	//ANIM
	IBOutlet UIImageView* _effect;
	IBOutlet UIImageView* _eye;
	bool bAnimationOn;
	
	//defines
	IBOutlet UIImageView* logoV;
	AVAudioPlayer* menuSFXPlayer;
	
	//BULKYCHANNEL
	BulkyServicesView* bulkyView;
	
	//XML
	IBOutlet UIImageView* _pastille;
	IBOutlet UILabel*     _digitStore;
	NSMutableData*        _storeData;
}
@property(nonatomic, retain) IBOutlet creditsViewController * _creditsVC;
@property(nonatomic, retain) IBOutlet helpViewController * _helpVC;
@property(nonatomic, retain) IBOutlet settingsViewController * _settingsVC;
@property(nonatomic, retain) IBOutlet saveViewController * _loadVC;

//ACTIONS
-(IBAction) newGameClicked:(id)sender;
-(IBAction) loadGameClicked:(id)sender;
-(IBAction) settingsClicked:(id)sender;
-(IBAction) helpClicked:(id)sender;
-(IBAction) creditsClicked:(id)sender;
-(IBAction) moreGamesClicked:(id)sender;

//METHODS
-(void) removeMe;
-(void) showSettingsMenuDidEnd:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
-(void) showHelpMenuDidEnd:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
-(void) showCreditsMenuDidEnd:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
-(void) releaseView;

//ANIM
- (void) effectFinishedLeft:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) eyeLeftFinishedLeft:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context; 
- (void) eyeRightFinishedLeft:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) launchEffet;
- (void) launchEye;


//BULKYPIX
- (void)createBulkyChannel;
- (void)bulkychannelWillAppear; 
- (void)bulkychannelWillDisappear; 
- (BOOL)isCategoryDisabled:(NSUInteger)icategoryid;
- (BOOL)isContentHidden:(NSUInteger)iitemid;
- (BOOL)isContentDisabled:(NSUInteger)iitemid;
- (BOOL)provideContent:(NSUInteger)iitemid quantity:(NSUInteger)qty transactionid:(NSString*)tid receipt:(NSString*)receip;
- (void)bulkyshopWillAppear; 
- (void)bulkyshopWillDisappear; 

@end
